/*
 * GlobalListOfActions.hpp
 *
 *  Created on: Sep 21, 2011
 *      Author: heber
 */

#ifndef GLOBALLISTOFACTIONS_HPP_
#define GLOBALLISTOFACTIONS_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#define GLOBALLISTOFACTIONS \
	(Redo) \
	(GraphSubgraphDissection) \
	(GraphCreateAdjacency) \
	(GraphDepthFirstSearch) \
	(MoleculeSaveTemperature) \
	(MoleculeCopy) \
	(MoleculeCreateMicelle) \
	(MoleculeSuspendInWater) \
	(MoleculeFillWithMolecule) \
	(MoleculeRotateToPrincipalAxisSystem) \
	(MoleculeSaveAdjacency) \
	(MoleculeFillVoidWithMolecule) \
	(MoleculeVerletIntegration) \
	(MoleculeChangeName) \
	(MoleculeRotateAroundSelfByAngle) \
	(MoleculeSaveSelectedMolecules) \
	(MoleculeSaveBonds) \
	(MoleculeLinearInterpolationofTrajectories) \
	(MoleculeLoad) \
	(MoleculeBondFile) \
	(TesselationNonConvexEnvelope) \
	(TesselationConvexEnvelope) \
	(CommandElementDb) \
	(CommandVerbose) \
	(CommandWarranty) \
	(CommandVersion) \
	(CommandHelp) \
	(CommandBondLengthTable) \
	(CommandFastParsing) \
	(ParserSetTremoloAtomdata) \
	(ParserParseTremoloPotentials) \
	(ParserSetParserParameters) \
	(ParserSetOutputFormats) \
	(AnalysisCalculateBoundingBox) \
	(AnalysisCalculateCellVolume) \
	(AnalysisCalculateMolarMass) \
	(AnalysisDipoleAngularCorrelation) \
	(AnalysisDipoleCorrelation) \
	(AnalysisPairCorrelation) \
	(AnalysisPointCorrelation) \
	(AnalysisSurfaceCorrelation) \
	(AnalysisMolecularVolume) \
	(AnalysisPrincipalAxisSystem) \
	(CommandSetRandomNumbersEngine) \
	(CommandSetRandomNumbersDistribution) \
	(Undo) \
	(AtomSaveSelectedAtoms) \
	(AtomRotateAroundOriginByAngle) \
	(AtomChangeElement) \
	(AtomRemove) \
	(AtomTranslate) \
	(AtomAdd) \
	(WorldCenterInBox) \
	(WorldRepeatBox) \
	(WorldChangeBox) \
	(WorldCenterOnEdge) \
	(WorldSetWorldTime) \
	(WorldOutput) \
	(WorldSetDefaultName) \
	(WorldScaleBox) \
	(WorldAddEmptyBoundary) \
	(WorldBoundInBox) \
	(WorldInput) \
	(SelectionNotMoleculeOfAtom) \
	(SelectionNotAllMolecules) \
	(SelectionNotMoleculeById) \
	(SelectionMoleculeByOrder) \
	(SelectionMoleculeOfAtom) \
	(SelectionNotMoleculeByOrder) \
	(SelectionMoleculeByName) \
	(SelectionMoleculeById) \
	(SelectionAllMolecules) \
	(SelectionClearAllMolecules) \
	(SelectionMoleculeByFormula) \
	(SelectionNotMoleculeByFormula) \
	(SelectionNotMoleculeByName) \
	(SelectionNotAtomById) \
	(SelectionAllAtomsInsideCuboid) \
	(SelectionAllAtoms) \
	(SelectionClearAllAtoms) \
	(SelectionNotAllAtoms) \
	(SelectionNotAtomByElement) \
	(SelectionAllAtomsInsideSphere) \
	(SelectionAllAtomsOfMolecule) \
	(SelectionNotAllAtomsInsideSphere) \
	(SelectionAtomByElement) \
	(SelectionNotAllAtomsOfMolecule) \
	(SelectionNotAllAtomsInsideCuboid) \
	(SelectionAtomById) \
	(FragmentationFragmentation)

#endif /* GLOBALLISTOFACTIONS_HPP_ */

